<?php
/**
* 404 Page Settings.
*
* @package Beauty Parlour Salon
*/

$beauty_parlour_salon_default = beauty_parlour_salon_get_default_theme_options();

$wp_customize->add_section( 'beauty_parlour_salon_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'beauty-parlour-salon' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'beauty_parlour_salon_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_404_main_title',
    array(
        'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'beauty-parlour-salon' ),
        'section'  => 'beauty_parlour_salon_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_404_subtitle_one',
    array(
        'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'beauty-parlour-salon' ),
        'section'  => 'beauty_parlour_salon_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_404_para_one',
    array(
        'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'beauty-parlour-salon' ),
        'section'  => 'beauty_parlour_salon_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_404_subtitle_two',
    array(
        'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'beauty-parlour-salon' ),
        'section'  => 'beauty_parlour_salon_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_404_para_two',
    array(
        'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'beauty-parlour-salon' ),
        'section'  => 'beauty_parlour_salon_404_page_settings',
        'type'     => 'text',
    )
);